Windows下安装lxml遇到的问题及解决方案

今天在升级自己电脑中的Scrapy时,发现lxml无法进行升级,具体报错信息如下:

查询了以前安装Scrapy时的资料:Scrapy在Windows上的安装笔记,中间提到了解决方案:

‘xslt-config’ 不是内部或外部命令,也不是可运行的程序或批处理文件。

出现上述问题的主要是lxml安装不成功,只要上http://pypi.python.org/simple/lxml/下载个exe文件进行安装就可以了。

打开了链接,但是并没有发现最新版本的exe文件。同时:https://pypi.python.org/pypi/lxml 也没有对应的exe文件下载。通过搜索找到了解决方案:安装二进制文件。文件下载地址:http://www.lfd.uci.edu/~gohlke/pythonlibs/

在这里我下载的文件是:lxml-3.6.1-cp27-cp27m-win32.whl,如何安装.whl文件呢?其实很简单,先用pip安装下wheel,具体如下: pip install wheel ,然后在lxml-3.6.1-cp27-cp27m-win32.whl所在目录执行 pip install lxml-3.6.1-cp27-cp27m-win32.whl  即可,具体如下:

在完成lxml的升级安装后,再进行Scrapy的升级就不会遇到问题了。

Updete:2018-08-13

Python 3 使用 pip install lxml  安装时,报如下错误:

解决方案,同样是到https://www.lfd.uci.edu/~gohlke/pythonlibs/下载与安装的Python版本对应的包,执行如下命令即可:

微信支付标点符 wechat qrcode
支付宝标点符 alipay qrcode

WordPress LaTeX插件更换记录

由于自己的博客要插入很多的公式,所以需要依赖LaTeX插件来帮忙实现。先前一直使用的是WP QuickLaTe

Docker容器内多用户版JupyterHub支持GPU

前一篇文章介绍了Docker下安装多用户版的JupyterHub,但安装完毕后会遇到一个问题:Docker内无

使用Docker安装多用户版的JupyterHub

宿主服务器使用的是Ubuntu 18.04,需要注意的是Docker目前不支持Ubuntu 19.10。如要在

发表评论

电子邮件地址不会被公开。 必填项已用*标注